package com.fs.watch.mapper;

import com.fs.common.annotation.DataSource;
import com.fs.common.enums.DataSourceType;
import com.fs.watch.domain.WatchDeviceInfoClic;
import com.fs.watch.param.WatchDeviceInfoClicParam;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 设备原始回传信息记录(WatchDeviceInfo)表数据库访问层
 *
 * @author makejava
 * @since 2024-12-17 15:11:00
 */
@DataSource(DataSourceType.CLICKHOUSE)
public interface WatchDeviceInfoClicMapper {

    /**
     * 新增数据
     *
     * @param data 实例对象
     * @return 影响行数
     */
    int insert(@Param("data") WatchDeviceInfoClic data);

    WatchDeviceInfoClic getByDeviceId(String deviceId);

    void updateByDeviceId(@Param("data")WatchDeviceInfoClic data);

    List<WatchDeviceInfoClic> selectDeviceInfoList(WatchDeviceInfoClicParam param);

    WatchDeviceInfoClic selectOneByIcc(@Param("iccid")String iccid);
}

